package com.tuoheng.admin.service.third.airport;

import com.tuoheng.admin.mapper.TenantMapper;
import com.tuoheng.admin.tzhl.service.airportline.TZHLGetAirportLineListService;
import com.tuoheng.common.core.utils.JsonResult;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Slf4j
@Service
public class GetAirLineListService {

    @Autowired
    private TenantMapper tenantMapper;

    @Autowired
    private TZHLGetAirportLineListService tzhlGetAirportLineListService;

    public JsonResult getAirLineList(String sn,Long id) {
        //根据机场序列号获取航线列表
        JsonResult result = tzhlGetAirportLineListService.getAirportLine(null,sn,id,null);

        if(result.getCode() != 0){
            return JsonResult.error(result.getMsg());
        }

        return result;

    }

}
